StringToDoubleConverter

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.util.dataconverters.java
Class StringToDoubleConverter

    java.lang.Object
      org.openswing.swing.util.dataconverters.java.DataConverter
          org.openswing.swing.util.dataconverters.java.StringToDoubleConverter

public class StringToDoubleConverter
extends DataConverter

Title: OpenSwing Framework

Description: Converter used to decode a String to a Double object.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

Constructor Summary
`StringToDoubleConverter()`

Method Summary
`java.lang.Object` | `decodeValue(java.lang.Object value)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StringToDoubleConverter

    public StringToDoubleConverter()

Method Detail

### decodeValue

    public final java.lang.Object decodeValue(java.lang.Object value)
                                       throws DataConverterException

  Overrides:
    `decodeValue` in class `DataConverter`
  Parameters:
    `value` - data to convert
  Returns:
    converted value
  Throws:
    `DataConverterException`

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD